Bug 875506 - Review Request: python-fdb - Firebird RDBMS bindings for Python
Summary: Review Request: python-fdb - Firebird RDBMS bindings for Python
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-11 18:47 UTC by Philippe Makowski
Modified: 2014-05-27 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 01:22:01 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Philippe Makowski 2012-11-11 18:47:17 UTC
Spec URL: http://makowski.fedorapeople.org/python-fdb/python-fdb.spec
SRPM URL: http://makowski.fedorapeople.org/python-fdb/python-fdb-0.9.1-1.fc17.src.rpm
Description: Set of Firebird RDBMS bindings for Python. It works on Python 2.6+ and Python 3. Will be the Firebird default driver for Django and SQLAlchemy
 
Fedora Account System Username: makowski

Comment 1 Mario Blättermann 2012-11-11 19:48:05 UTC
BuildRequires:  python-devel

You need either python2-devel or python3-devel. That's why it has to be python2-devel in this case.


%description -n python3-fdb
Set of Firebird RDBMS bindings for Python. It works on Python 2.6+ and Python 3.

%description
Set of Firebird RDBMS bindings for Python. It works on Python 2.6+ and Python 3.

The last sentence doesn't make sense for the packages. Actually, due to that we have separate packages for v2 or v3, such an info is useless.


Why does -doc require the python2 base package? It is actually not needed at runtime. Vice versa, perhaps each of the base packages should require the -doc package.


%description doc
Set of Firebird RDBMS bindings for Python. It works on Python 2.6+ and Python 3.

For the -doc package, the last sentence is OK, but please be more specific. Suggestion:

%description doc
Documentation files for %{name}. It works on Python 2.6+ and Python 3.


rm -rf $RPM_BUILD_ROOT
is obsolete for ages. It is only needed if you want to provide your package for EPEL 5.


The source tarball contains a bundled egg-info. Please remove it before building your package (in the %prep section):

rm -rf %{upstream_name}.egg-info

See https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs for more information.

Comment 3 Mario Blättermann 2012-11-12 19:38:58 UTC
Please bump the release tag each time you change anything, even in the current pre-Git state.

Comment 4 Philippe Makowski 2012-11-13 08:02:24 UTC
ok, noted, will do next time if need
can you finish the review ?
thanks

Comment 5 Mario Blättermann 2012-11-15 08:44:45 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4690912

$ rpmlint -i -v *
python3-fdb.noarch: I: checking
python3-fdb.noarch: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python3-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.src: I: checking
python-fdb.src: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python-fdb.src: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.src: E: specfile-error sh: line 0: fg: no job control
This error occurred when rpmlint used rpm to query the specfile.  The error is
output by rpm and the message should contain more information.

python-fdb.noarch: I: checking
python-fdb.noarch: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb-doc.noarch: I: checking
python-fdb-doc.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.spec: E: specfile-error sh: line 0: fg: no job control
This error occurred when rpmlint used rpm to query the specfile.  The error is
output by rpm and the message should contain more information.

4 packages and 1 specfiles checked; 2 errors, 3 warnings.

The last error from rpmlint (no job control) usually happens when you are using a macro which is not defined anywhere. I can't see such a macro, but the error message needs to be investigated in any case.

Comment 6 Philippe Makowski 2012-11-15 17:05:53 UTC
sorry, what version of rpmlint are you using ?

here what I get :
rpmlint -i -v *
python-fdb.noarch: I: checking
python-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python3-fdb.noarch: I: checking
python3-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb-doc.noarch: I: checking
python-fdb-doc.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
/home/philippe/rpmbuild/SPECS/python-fdb.spec: I: checking-url http://pypi.python.org/packages/source/f/fdb/fdb-0.9.1.tar.gz (timeout 10 seconds)
python-fdb.src: I: checking
python-fdb.src: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.src: I: checking-url http://pypi.python.org/packages/source/f/fdb/fdb-0.9.1.tar.gz (timeout 10 seconds)
4 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 7 Philippe Makowski 2012-11-15 18:21:10 UTC
and result under a rawhide mock chroot and with this build : http://koji.fedoraproject.org/koji/taskinfo?taskID=4692636

$ rpmlint -i -v *
python3-fdb.noarch: I: checking
python3-fdb.noarch: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python3-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.noarch: I: checking
python-fdb.noarch: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.src: I: checking
python-fdb.src: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python-fdb.src: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.src: I: checking-url http://pypi.python.org/packages/source/f/fdb/fdb-0.9.1.tar.gz (timeout 10 seconds)
python-fdb-doc.noarch: I: checking
python-fdb-doc.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.spec: I: checking-url http://pypi.python.org/packages/source/f/fdb/fdb-0.9.1.tar.gz (timeout 10 seconds)
4 packages and 1 specfiles checked; 0 errors, 3 warnings.

Warnings are false and there is no errors

Comment 8 Mario Blättermann 2012-11-17 21:47:33 UTC
(In reply to comment #6)
> sorry, what version of rpmlint are you using ?
$ rpm -qi rpmlint
Name        : rpmlint
Version     : 1.4
Release     : 11.fc17
...

The following change in rpmlint could cause the error:

2012-09-06 - Tom Callaway <spot@fedoraproject.org> - 1.4-10
- fix handling of ruby RI files as text files (they are binary files)
- apply upstream fix for macro regexp

BTW, I get the same error for a spec taken from your own srpm or taken from Koji's srpm.

Comment 9 Philippe Makowski 2012-11-19 10:09:50 UTC
the problem is the same with python-sphynx.spec than I took as example
the problematic line is :
%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

since I don't really need all that, I will only put in my spec a line like :

%global with_python3 0%{?fedora} >= 17

will publish new spec soon

Comment 11 Mario Blättermann 2012-11-23 20:09:27 UTC
$ rpmlint -i -v *
python3-fdb.noarch: I: checking
python3-fdb.noarch: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python3-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.src: I: checking
python-fdb.src: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python-fdb.src: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.src: I: checking-url http://pypi.python.org/packages/source/f/fdb/fdb-0.9.1.tar.gz (timeout 10 seconds)
python-fdb.noarch: I: checking
python-fdb.noarch: W: spelling-error Summary(en_US) Firebird -> Fire bird, Fire-bird, Redbird
The value of this tag appears to be misspelled. Please double-check.

python-fdb.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb-doc.noarch: I: checking
python-fdb-doc.noarch: I: checking-url http://www.firebirdsql.org/ (timeout 10 seconds)
python-fdb.spec: I: checking-url http://pypi.python.org/packages/source/f/fdb/fdb-0.9.1.tar.gz (timeout 10 seconds)
4 packages and 1 specfiles checked; 0 errors, 3 warnings.

OK so far.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    01dffb6a4638d980f2cbc7c785c48435919d88361b3472c1c9758ae8145daf65  fdb-0.9.1.tar.gz
    01dffb6a4638d980f2cbc7c785c48435919d88361b3472c1c9758ae8145daf65  fdb-0.9.1.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

Well, the documentation is not really large, but it is a good idea to split it into an extra package because the srpm builds into both python2 and python3 packages.

[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 12 Philippe Makowski 2012-11-26 20:44:45 UTC
thanks

Comment 13 Philippe Makowski 2012-11-26 21:59:09 UTC
New Package SCM Request
=======================
Package Name: python-fdb
Short Description: Firebird RDBMS bindings for Python
Owners:  makowski
Branches: f17 f18 el6
InitialCC:

Comment 14 Gwyn Ciesla 2012-11-27 11:47:18 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2012-11-27 18:59:07 UTC
python-fdb-0.9.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-fdb-0.9.1-1.fc17

Comment 16 Fedora Update System 2012-11-28 11:33:01 UTC
python-fdb-0.9.1-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 17 Fedora Update System 2012-12-01 16:55:13 UTC
python-fdb-0.9.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-fdb-0.9.9-1.fc17

Comment 18 Fedora Update System 2012-12-11 01:22:03 UTC
python-fdb-0.9.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Philippe Makowski 2014-05-25 13:40:11 UTC
Package Change Request
======================
Package Name: python-fdb
Owners: makowski
New Branches: EPEL-7

Comment 20 Gwyn Ciesla 2014-05-27 12:41:33 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.